using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BE;
using BL;
using Microsoft.Reporting.WebForms;
using System.Globalization;
using System.Threading;
using Telerik.Web.UI;
using System.Globalization;






public partial class Frm_ReporteAsientosContablesDetalles : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
       
       Thread.CurrentThread.CurrentCulture = new CultureInfo("es-PE");
      Thread.CurrentThread.CurrentUICulture = new CultureInfo("es-PE");
    }

    protected void Page_Init(object sender , EventArgs e)
    {
        string usu = Convert.IsDBNull(Request.QueryString["usuario"].ToString()) ? "" : Request.QueryString["usuario"].ToString();
        string fer = Convert.IsDBNull(Request.QueryString["fechareg"].ToString()) ? "" : Request.QueryString["fechareg"].ToString();
        string com = Convert.IsDBNull(Request.QueryString["comprobante"].ToString()) ? "" : Request.QueryString["comprobante"].ToString();
        string dia = Convert.IsDBNull(Request.QueryString["diarioaux"].ToString()) ? "" : Request.QueryString["diarioaux"].ToString();
        string glo = Convert.IsDBNull(Request.QueryString["glosa"].ToString()) ? "" : Request.QueryString["glosa"].ToString();
        string fec = Convert.IsDBNull(Request.QueryString["fecha"].ToString()) ? "" : Request.QueryString["fecha"].ToString();
        string cia = Convert.IsDBNull(Session["Compania"].ToString()) ? "" : Session["Compania"].ToString();




        List<ReportParameter> list = new List<ReportParameter>();
        //ReportParameter param1 = new ReportParameter("Usuario", Request.QueryString["usuario"].ToString());
        //ReportParameter param2 = new ReportParameter("fecregistro", Request.QueryString["fechareg"].ToString());
        //ReportParameter param3 = new ReportParameter("Comprobante", Request.QueryString["comprobante"].ToString());
        //ReportParameter param4 = new ReportParameter("DiarioAuxiliar", Request.QueryString["diarioaux"].ToString());
        //ReportParameter param5 = new ReportParameter("Glosa", Request.QueryString["glosa"].ToString());
        //ReportParameter param6 = new ReportParameter("Fecha", Request.QueryString["fecha"].ToString());
        //ReportParameter param7 = new ReportParameter("Compania", Session["Compania"].ToString());
        ReportParameter param1 = new ReportParameter("Usuario",usu);
        ReportParameter param2 = new ReportParameter("fecregistro", fer);
        ReportParameter param3 = new ReportParameter("Comprobante",com);
        ReportParameter param4 = new ReportParameter("DiarioAuxiliar", dia);
        ReportParameter param5 = new ReportParameter("Glosa",glo);
        ReportParameter param6 = new ReportParameter("Fecha", fec);
        ReportParameter param7 = new ReportParameter("Compania", cia);
        list.Add(param1); list.Add(param2); list.Add(param3); list.Add(param4); list.Add(param5); list.Add(param6); list.Add(param7);

        this.ReportViewer1.LocalReport.SetParameters(list);
        
    }





}